Update an event destination
Updates an event destination to change how notifications are sent. Use this endpoint when you need to modify the filters or certificate parameters associated with the event destination.
HTTP method and endpoint
PATCH /support/ems/destinations/{name}
Introduced in
ONTAP 9.6
Recommended optional properties
-
filters.name- New list of filters that should direct to this destination. The existing list is discarded. -
certificate- New certificate parameters when the destination type isrest api.
Related ONTAP commands
-
event notification destination modify -
event notification modify
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
name |
string |
path |
True |
Destination name |
Request Body
| Name | Type | Description |
|---|---|---|
certificate |
Certificate information is valid for the "rest_api" type. |
|
destination |
string |
Event destination |
filters |
array[filters] |
|
system_defined |
boolean |
Flag indicating system-defined destinations. |
Example request
{
"certificate": {
"ca": "VeriSign",
"serial_number": "1234567890"
},
"destination": "administrator@mycompany.com",
"filters": [
{
"name": "important-events"
}
],
"system_defined": 1
}
Response
Status: 200, Ok
| Name | Type | Description |
|---|---|---|
certificate |
Certificate information is valid for the "rest_api" type. |
|
destination |
string |
Event destination |
filters |
array[filters] |
|
system_defined |
boolean |
Flag indicating system-defined destinations. |
Example response
{
"certificate": {
"ca": "VeriSign",
"serial_number": "1234567890"
},
"destination": "administrator@mycompany.com",
"filters": [
{
"name": "important-events"
}
],
"system_defined": 1
}
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
983088 |
The destination name provided cannot be empty |
983089 |
The destination name provided cannot contain spaces |
983094 |
The destination name provided is invalid. The destination name must contain between 2 and 64 characters and start and end with an alphanumeric symbol or _(underscore). The allowed special characters are _(underscore) and -(hyphen) |
983104 |
The syslog destination provided is invalid |
983116 |
The number of notifications has reached maximum capacity |
983117 |
The number of destinations has reached maximum capacity |
983129 |
The rest-api destination must contain a valid scheme, such as http// or https// |
983130 |
The rest-api destination provided contains an invalid URL |
983131 |
The rest-api destination provided contains an invalid IPv6 URL |
983142 |
The security certificate provided does not exist |
983143 |
The private security key provided does not exist |
983144 |
The security certificate information provided is incomplete. Provide the certificate and serial number |
983145 |
The rest-api destination provided has an 'http://' scheme. It is invalid to provide certificate information |
983150 |
The type of an existing destination cannot be changed |
983151 |
A property provided cannot be configured on the requested destination type |
983152 |
Default destinations cannot be modified or removed |
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
certificate
Certificate information is valid for the "rest_api" type.
| Name | Type | Description |
|---|---|---|
ca |
string |
Client certificate issuing CA |
serial_number |
string |
Client certificate serial number |
filters
| Name | Type | Description |
|---|---|---|
name |
string |
ems_destination
| Name | Type | Description |
|---|---|---|
certificate |
Certificate information is valid for the "rest_api" type. |
|
destination |
string |
Event destination |
filters |
array[filters] |
|
system_defined |
boolean |
Flag indicating system-defined destinations. |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |